﻿using System;
using System.Runtime.Serialization;

namespace Phoenix.Plugins.Host.Exceptions
{
    [Serializable]
    public class RepositoryNotLoadedException : Exception
    {
        public RepositoryNotLoadedException()
            : base("The repository is not loaded. Please load it before using it!") { }
        public RepositoryNotLoadedException(string message)
            : base(message) { }
        public RepositoryNotLoadedException(string message, Exception inner)
            : base(message, inner) { }
        protected RepositoryNotLoadedException(SerializationInfo info, StreamingContext context)
            : base(info, context) { }
    }
}
