namespace Phoenix.Model.Bll.Domain
{
    public class Pathology : Poco
    {
        #region Fields

        private PathologyType m_Type;

        #endregion Fields

        #region Constructors

        public Pathology()
        {
        }

        #endregion Constructors

        #region Properties

        public virtual string Remark
        {
            get;
            set;
        }

        public virtual string Title
        {
            get;
            set;
        }

        public virtual PathologyType Type
        {
            get { return m_Type; }
            set { m_Type = value; }
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Returns a <see cref="System.String"/> that represents this instance.
        /// </summary>
        /// <returns>
        /// A <see cref="System.String"/> that represents this instance.
        /// </returns>
        public override string ToString()
        {
            return this.Title;
        }

        #endregion Methods
    }
}