﻿namespace Phoenix.Presenter.Interfaces.Searcher
{
    using Phoenix.Model.Bll.Domain;
    using Phoenix.Presenter.Interfaces.Interfaces;

    /// <summary>
    /// View interface for a prescription searcher
    /// </summary>
    public interface IPrescriptionSearcher : ISearchBox<Prescription>
    {
        #region Properties

        /// <summary>
        /// Gets or sets the patient.
        /// </summary>
        /// <value>The patient.</value>
        Patient Patient
        {
            get;
            set;
        }

        #endregion Properties
    }
}