﻿namespace Phoenix.View.Management
{
    using System;
    using System.Drawing;
    using System.Windows.Forms;

    /// <summary>
    /// Display a picture at full screen
    /// </summary>
    public partial class PictureDisplay : Form
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="PictureDisplay"/> class.
        /// </summary>
        /// <param name="image">The image.</param>
        public PictureDisplay(Image image)
        {
            InitializeComponent();
            this.pb_Image.Image = image;
        }

        #endregion Constructors

        #region Methods

        private void btn_Quit_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void pb_Image_DoubleClick(object sender, EventArgs e)
        {
            this.Close();
        }

        #endregion Methods
    }
}