﻿namespace Phoenix.Plugins.Forms
{
    using System;
    using System.Windows.Forms;

    public partial class GimeTime : UserControl
    {
        #region Constructors

        public GimeTime()
        {
            InitializeComponent();
            this.Visible = false;
        }

        #endregion Constructors

        #region Properties

        public bool IsVisible
        {
            get
            {
                return this.Visible;
            }
            set
            {
                this.Visible = value;
            }
        }

        #endregion Properties

        #region Methods

        public void ShowTime()
        {
            this.lbl_Time.Text = string.Format("It is {0}", DateTime.Now);
        }

        public override string ToString()
        {
            return "This is the plugin!";
        }

        #endregion Methods
    }
}